package com.zcloud.service.bus;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import org.apache.xalan.templates.ElemWhen;

/**
 * 说明：隐患
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface HiddenService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**修改信息
	 * @param pd
	 * @throws Exception
	 */
	public void editInfo(PageData pd)throws Exception;
	public void editISCONFIRM(PageData pd)throws Exception;
	public void editHIDDENLEVEL(PageData pd)throws Exception;

	/**定时修改过期隐患
	 * @param pd
	 * @throws Exception
	 */
	public void editDeadline(PageData pd)throws Exception;

	/**整改
	 * @param pd
	 * @throws Exception
	 */
	public void rectify(PageData pd)throws Exception;

	/**复查
	 * @param pd
	 * @throws Exception
	 */
	public void review(PageData pd)throws Exception;

	/**验收
	 * @param pd
	 * @throws Exception
	 */
	public void check(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**查询昨日过期隐患。发短信
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getYestoday(PageData pd)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**列表(全部，打印使用)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllToPrint(PageData pd)throws Exception;
	public List<PageData> listHiddenAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**批量修改
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void updateAll(PageData hiddens)throws Exception;

	/**按日统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> hiddenStatisticsByDay(PageData pd)throws Exception;

	/**总数统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> hiddenStatisticsAll(PageData pd)throws Exception;

	/**根据用户ID获取待验收隐患
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getCountByCheckorId(PageData pd) throws Exception;

	/**
	 * app首页 根据用户ID获取发现隐患信息
	 * @param pd CREATOR
	 * @return
	 * @throws Exception
	 */
	public 	List<PageData> getCountByCreatorId(PageData pd) throws Exception;
	/**
	 * app首页 根据用户ID获取整改隐患信息
	 * @param pd CREATOR
	 * @return
	 * @throws Exception
	 */
	public 	List<PageData> getCountByRectifiCationorId(PageData pd)throws Exception;

	void changeState(PageData pd) throws Exception;

	List<PageData> getBICount(PageData pd) throws Exception;

	void submit(PageData pd) throws Exception;

	/**
	 * 提交清单(其他)隐患
	 * @param pd
	 * @throws Exception
	 */
	void submitList(PageData pd) throws Exception;

	/**
	 * 清单其他隐患
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public 	List<PageData> getOtherHidden(PageData pd) throws Exception;
	public 	List<PageData> getCountByHiddenType(PageData pd) throws Exception;

	/**
	 * 清单其他隐患
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public 	List<PageData> getHiddenNum(PageData pd) throws Exception;

	/**公司停止试用，删除所有隐患
	 * @param pd
	 * @throws Exception
	 */
	public void hiddenEndTrial(PageData pd)throws Exception;

	/**企业隐患数 整改数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getRectifyExamine(PageData pd)throws Exception;

	List<PageData> libraryList(Page page);

	void changeLibrary(PageData entity) throws Exception;
}

